Subject: bug#35163: 25.1; `narrow-to-region' docstring no mention of args

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Apr 2019 12:01:06 +0300

> From: Emanuel Berg <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 06 Apr 2019 09:10:04 +0200
> 
> Eli Zaretskii wrote:
> 
> >> The words START and END do not appear, in
> >> that order, in the docstring. Actually, they
> >> don't appear at all. That means they are
> >> not searchable.
> >
> > This is a command, first and foremost.
> > The primary goal of its doc string is to tell
> > users (not Lisp programmers) how to use the
> > command and what it does. In interactive
> > usage, START and END come from the region and
> > are not under user control explicitly.
> >
> > So I don't think there's anything wrong with
> > this doc string.
> 
> ;;; docstring-experiment.el --- illustrate docstring deficiency

Please don't ask me to run arbitrary code I receive from the
Internet.  I'd appreciate a direct response to what I wrote above.

Thanks.